KBUILDSYCOCA5(8)

NOME
kbuildsycoca5 - Reconstrói a 'cache' de configurações do sistema dos ficheiros 'desktop' do KService.

SINTAXE

kbuildsycoca5 [OPÇÕES...]

DESCRIçãO

O kbuildsyscoca5, como parte das ferramentas da linha de comandos do KDE, garante o funcionamento correcto do KDE ao ler todos os ficheiros .desktop, .xml e .protocol para construir uma base de dados binária.

A biblioteca KService usa esta base de dados para oferecer de forma eficiente a informação pedida a ela.

Os utilizadores não terão normalmente de executar esta aplicação directamente; o KService executá-lo-á, se necessário, sempre que algum dos ficheiros cujos dados estejam em 'cache' seja alterado.

OPçõES

--global
    Ignora todos os ficheiros definidos pelo utilizador (em XDG_DATA_HOME). Isto só é suportado de momento nos sistemas Unix.

--noincremental
    Em vez de usar a 'cache' existente e actualizar apenas a informação que tiver sido alterada ou adicionada, começa com uma 'cache' em branco. É ignorada se a opção --global estiver activa.

--nosignal
    Normalmente, o kbuildsyscoca5 envia um sinal por D-Bus assim que a 'cache' tiver sido actualizada para todas as aplicações que usem o KService, de modo que estejam sempre a trabalhar com a última informação. Esta opção suprime esse comportamento.

--menutest
    Testa a geração da base de dados do menu da aplicação. Não constrói realmente a 'cache'.

--testmode
    Usa o "modo de testes" do QStandardPaths para evitar interferir com os dados do utilizador. Isto pretende ser usado nos testes unitários.

--track id-menu
    Seguir um ID do menu para depuração.

--author
    Mostra informações sobre o autor.

--license
    Mostra informações acerca da licença.

-h, --help
    Mostra um breve texto de ajuda.

-v , --version
    Mostra a informação da versão.

FICHEIROS

cachedir/ksycoca5_[língua]_[sha1-das-pastas]
    A 'cache' do KService que é gerada pelo kbuildsycoca5. Nos sistemas Unix, a cachedir normalmente é a XDG_CONFIG_HOME

VEJA TAMBéM

kded5(8), kdeinit5(8)

PROBLEMAS

Existem provavelmente diversos erros. Use o sistema de gestão de erros do KDE[1] para os comunicar.

AUTORES

Darian Lanx <content@openprojects.net>
    Criador da documentação original.

Alex Merry <alexmerry@kde.org>
    Actualizou a documentação para as Plataformas 5 do KDE.

NOTAS

1.  sistema de gestão de erros do KDE
    http://bugs.kde.org